Documents
Document Get
Retrieves a single document by its GUID.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
documentGuid*string
GUID of the document.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/documents/document/16fd2706-8baf-433b-82eb-8c7fada847da/get"{ "result": { "data": { "document": { "documentGuid": "16fd2706-8baf-433b-82eb-8c7fada847da", "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d", "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d", "title": "Invoice INV-2026-000123", "urn": "e3b0c442-98fc-4e1a-8a3d-2c1b5f6e9a70", "url": "https://storage.example.com/documents/inv-2026-000123.pdf", "path": "documents/inv-2026-000123.pdf", "fileFormat": "pdf", "deliveryMethod": "Email", "viewAnonymousLink": "", "editAnonymousLink": "", "viewUserLink": "", "editUserLink": "", "viewOrganizationLink": "", "editOrganizationLink": "", "succeededViewUserEmailList": "alice@example.com", "succeededEditUserEmailList": "bob@example.com", "failedViewUserEmailList": "ops@example.com", "failedEditUserEmailList": "ops@example.com", "createdDate": "2026-07-14T09:30:00.000Z", "lastModifiedDate": "2026-07-14T09:30:00.000Z", "isDeleted": false } }, "statusCode": 200, "message": "OK" }, "origin": "GET https://api.doctavian.com/v1/documents/document/{documentGuid}/get", "dateTime": "2026-07-14T09:30:00.000Z", "operationId": "2deac70dc7194ec4ab96f8194692986a", "userId": "8bf79618-b9a1-4196-a625-357e250cda92"}{ "userId": "480b19d7-826e-473c-9d96-186387078bbe", "error": { "statusCode": 400, "message": "Name is required.", "innerErrors": [ { "code": "DATA_NAME_REQUIRED", "message": "Name is required.", "userMessage": "Name is required." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/document/{documentGuid}/get", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "0c4561be0b3758de14d2da750134dde0"}{ "error": { "statusCode": 401, "message": "The request could not be authenticated.", "innerErrors": [ { "code": "UNAUTHORIZED", "message": "The request could not be authenticated.", "userMessage": "Your session has expired or is invalid. Please sign in again." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/document/{documentGuid}/get", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "e52bbcef53b653b96929099a81f6451c", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "statusCode": 404, "message": "The requested resource was not found.", "innerErrors": [ { "code": "NOT_FOUND_BY_ID", "message": "The requested resource was not found.", "userMessage": "We couldn't find that resource. Check the id and try again." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/document/{documentGuid}/get", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "8d700612c976f0709d8dc8874095b6d3", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "userId": "ab477455-1d08-4216-a401-e07194c48306", "error": { "statusCode": 500, "message": "An unexpected error occurred.", "innerErrors": [ { "code": "GET_DATA_SOURCE_ERROR", "message": "An unexpected error occurred.", "userMessage": "An unexpected error occurred." } ] }, "origin": "GET https://api.doctavian.com/v1/documents/document/{documentGuid}/get", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "be4e4c1c63f4e24264648a122e005513"}